#!/bin/bash

#######################################################################
# Setup Aircrack-ng
#######################################################################

# Install wget and development tools
echo "# Installing necessary packages..."
yum -y install wget
yum -y group install "Development Tools"

# Retrieve and compile Aircrack-ng (use proxy if argument provided)
echo "# Retrieving Aircrack-ng..."
if [ $# -ge 1 ]
then
   PROXY_CONFIG="-e https_proxy=$1"
fi
AIRCRACK_VER="1.5.2" # NOTE: Current version 1.6 does not compile on CentOS 7
wget https://download.aircrack-ng.org/aircrack-ng-${AIRCRACK_VER}.tar.gz ${PROXY_CONFIG}
tar xvzf aircrack-ng-${AIRCRACK_VER}.tar.gz
cd aircrack-ng-${AIRCRACK_VER}
echo "# Compiling Aircrack-ng..."
autoreconf -i
./configure --with-experimental
make
make install
ldconfig

# Clean up and move john directory to daniel's home
echo "# Finalizing Aircrack-ng setup..."
rm ~/aircrack-ng-${AIRCRACK_VER}.tar.gz
rm -r ~/aircrack-ng-${AIRCRACK_VER}

# Remove the script itself
rm "$0"