#!/bin/bash

#######################################################################
# Setup John the Ripper
#######################################################################

# Install wget and development tools
echo "# Installing necessary packages..."
yum -y install wget
yum -y group install "Development Tools"

# Retrieve and compile John the Ripper (use proxy if argument provided)
echo "# Retrieving John the Ripper..."
if [ $# -ge 1 ]
then
   PROXY_CONFIG="-e https_proxy=$1"
fi
#wget https://www.openwall.com/john/j/john-1.8.0.tar.xz ${PROXY_CONFIG}
wget https://www.openwall.com/john/k/john-1.9.0.tar.xz ${PROXY_CONFIG}
JOHN_VER="1.9.0"
tar xvfJ john-${JOHN_VER}.tar.xz
cd john-${JOHN_VER}/src
echo "# Compiling John the Ripper..."
make clean linux-x86-64

# Clean up and move john directory to daniel's home
echo "# Finalizing John the Ripper setup..."
rm ~/john-${JOHN_VER}.tar.xz
mv ~/john-${JOHN_VER} /home/daniel
chown -R daniel:daniel /home/daniel/john-${JOHN_VER}

# Remove the script itself
rm "$0"
