#!/bin/bash

#######################################################################
# Setup web-related resources
#######################################################################

# Change the SELinux security context for /CMS to allow viewing via browser
chcon -R -t httpd_sys_rw_content_t /CMS

# Move web site config file into /etc/httpd/conf.d
mv /bin/cyberrange/web/website.conf /etc/httpd/conf.d

# Move web site directory to /var/www/html
mv /bin/cyberrange/web /var/www/html

# Create directory for uploading claims, then change the owner and
# SELinux security context to allow uploading files
chown -R apache:apache /var/www/html/web/claims
chcon -R -t httpd_sys_rw_content_t /var/www/html/web/claims

# Enable the httpd service so that it is started automatically after reboot
/bin/systemctl enable httpd.service

# Delete this script
rm /bin/cyberrange/web_setup.sh
